ru.bitel.bgbilling.plugins.organizer.server.bean

## Class OrganizerManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.organizer.server.bean.OrganizerManager

-     public class OrganizerManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `RecordsTotal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizerManager(java.sql.Connection conn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToJournal(int rid, int userID, java.lang.String messageType)`
    `int` | `countJournalList(Page page, Period per, int uid)`
    `OrganizerCounter` | `countRecords(int uid)`
    `int` | `countTotalRecords(RecordFilter filter)`
    `void` | `deleteRecordById(int rid)`
    `void` | `deleteRecordByID(int rid)` Deprecated.
    `java.util.List<JournalEntry>` | `getJournalList(Page page, Period period, int uid)`
    `OrganizerRecord` | `getRecordById(int rid)`
    `java.util.List<OrganizerRecord>` | `getRecords(RecordFilter filter)`
    `java.util.List<OrganizerRecord>` | `getTodoRecords(int uid, int status)` Deprecated. Использовать `searchTodoRecords(SearchResult, int, int)`
    `java.lang.String` | `getUserGroups(int uid)`
    `void` | `searchTodoRecords(SearchResult<OrganizerRecord> searchResult, int uid, int status)` Постраничный вывод записей
    `void` | `updateRecord(OrganizerRecord rec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RecordsTotal

          public int RecordsTotal

  - ### Constructor Detail

    - #### OrganizerManager

          public OrganizerManager(java.sql.Connection conn)

  - ### Method Detail

    - #### getRecords

          public java.util.List<OrganizerRecord> getRecords(RecordFilter filter)
                                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### countTotalRecords

          public int countTotalRecords(RecordFilter filter)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getRecordById

          public OrganizerRecord getRecordById(int rid)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateRecord

          public void updateRecord(OrganizerRecord rec)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getUserGroups

          public java.lang.String getUserGroups(int uid)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### searchTodoRecords

          public void searchTodoRecords(SearchResult<OrganizerRecord> searchResult,
                                        int uid,
                                        int status)
                                 throws ru.bitel.bgbilling.common.BGException

      Постраничный вывод записей
      Parameters:
        `searchResult` -
        `uid` -
        `status` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTodoRecords

          @Deprecated
          public java.util.List<OrganizerRecord> getTodoRecords(int uid,
                                                                            int status)
                                                                     throws ru.bitel.bgbilling.common.BGException

      Deprecated. Использовать `searchTodoRecords(SearchResult, int, int)`
      Parameters:
        `uid` -
        `status` -
      Returns:
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### countRecords

          public OrganizerCounter countRecords(int uid)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addToJournal

          public void addToJournal(int rid,
                                   int userID,
                                   java.lang.String messageType)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deleteRecordById

          public void deleteRecordById(int rid)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deleteRecordByID

          @Deprecated
          public void deleteRecordByID(int rid)
                                            throws java.sql.SQLException

      Deprecated.
      Использовать `deleteRecordById(int)`.
      Parameters:
        `rid` -
      Throws:
        `java.sql.SQLException`

    - #### getJournalList

          public java.util.List<JournalEntry> getJournalList(Page page,
                                                             Period period,
                                                             int uid)
                                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### countJournalList

          public int countJournalList(Page page,
                                      Period per,
                                      int uid)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`